OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.NV.TextureBarrier

Contents

- Extension Support
- Functions

Description

Synopsis

- glGetNVTextureBarrier :: MonadIO m => m Bool
- gl_NV_texture_barrier :: Bool
- glTextureBarrierNV :: MonadIO m => m ()

# Extension Support

glGetNVTextureBarrier :: MonadIO m => m Bool Source #

Is the NV_texture_barrier extension supported?

gl_NV_texture_barrier :: Bool Source #

Is the NV_texture_barrier extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVTextureBarrier` in those cases instead.

# Functions

glTextureBarrierNV :: MonadIO m => m () Source #